spring boot, jdk, gradle 버전을 올릴수 없을까요?


  • Level 5

    안녕하세요.

    현재 프로젝트를 생성하여 개발하려고 여러 IDE를 찾아보는 중..
    국산 웹IDE가 있다 해서 테스트 겸 앞으로 사용해볼려고 테스트하고 있습니다.

    이번에 spring boot 2.4.2, jdk 11로 프로젝트를 진행하려고 하는데요..
    구름IDE에서 버전이 하위버전이라 빌드가 안되네요..

    혹시 제가 사용하는 컨테이너만 해당 버전을 올려서 사용할순 없을까 해서 글 남겨봅니다..
    jdk는 openjdk11을 설치는 했는데 기본jdk로 설정시 빌드시 오류가 발생하네요 ㅠ..

  • Level 9

    @서성원
    안녕하세요.
    확인해보니

    https://gradle.org/install/#manually 를 참고하여 /goormService/gradle 에 설치해주신 후
    상단 좌측의 [goormide] -> [기본 설정] -> [터미널] -> [프로필] 에

    export PATH=/goormService/gradle/gradle-4.6/bin:/goormService/maven/apache-maven-3.3.9/bin:$PATH
    

    위 부분을

    export PATH=/goormService/gradle/gradle-6.7/bin:/goormService/maven/apache-maven-3.3.9/bin:$PATH
    

    이런 식으로 변경해주면 됩니다!

  • Level 5

    gradle를 apt에서 다운받아 설치를 해봤는데요..
    버전이 변경되지를 않네요..

    sudo add-apt-repository ppa:cwchien/gradle
    sudo apt-get update

    한뒤
    sudo apt-get install gradle-6.7.1 또는 sudo apt install gradle-ppa
    또는 apt-get install gradle-6.7.1 또는 apt install gradle-6.7.1
    해서 정상적으로 설치가 된걸 확인했지만
    gradle의 버전이 계속 4.6버전으로 나옵니다..

    저만 이런것인지....제가 잘못하고 있는건지..
    혹시 아시는분 좀 답변 좀 부탁드리겠습니다.ㅠㅠ

  • Level 9

    안녕하세요.
    Ubuntu를 제공하고 있어서 원하시는 것 모두 버전 업그레이드가 가능합니다.
    혹시 openjdk11를 설치하면서 어떤 에러가 나오는 지 알 수 있을까요?

SUGGESTED TOPICS

  • 2
  • 3
  • 5
  • 2
  • 4
  • 3
  • 2